<?php
declare(strict_types=1);

use BaserCore\Database\Migration\BcSeed;

/**
 * CustomFields seed.
 */
class CustomFieldsSeed extends BcSeed
{
    /**
     * Run Method.
     *
     * Write your database seeder using this method.
     *
     * More information on writing seeds is available here:
     * https://book.cakephp.org/phinx/0/en/seeding.html
     *
     * @return void
     */
    public function run(): void
    {
        $data = [
            [
                'id' => 8,
                'title' => '求人分類',
                'name' => 'recruit_category',
                'type' => 'BcCcRelated',
                'status' => 1,
                'default_value' => '新卒採用',
                'validate' => '',
                'regex' => '',
                'regex_error_message' => '',
                'counter' => 0,
                'auto_convert' => '',
                'placeholder' => '',
                'size' => NULL,
                'max_length' => NULL,
                'source' => '',
                'meta' => '{"BcCcAutoZip":{"pref":"","address":""},"BcCcCheckbox":{"label":""},"BcCcRelated":{"custom_table_id":"1","filter_name":"","filter_value":""},"BcCcWysiwyg":{"width":"","height":"","editor_tool_type":"simple"},"BcCustomContent":{"email_confirm":"","max_file_size":"","file_ext":""}}',
                'created' => NULL,
                'modified' => NULL,
                'line' => NULL,
            ],
            [
                'id' => 9,
                'title' => 'この仕事の特徴',
                'name' => 'feature',
                'type' => 'BcCcMultiple',
                'status' => 1,
                'default_value' => '',
                'validate' => '',
                'regex' => '',
                'regex_error_message' => '',
                'counter' => 0,
                'auto_convert' => '',
                'placeholder' => '',
                'size' => NULL,
                'max_length' => NULL,
                'source' => '経験者優遇
土日祝日休み
交通費支給
社会保険あり
研修あり
昇給あり
資格取得支援
職場内禁煙',
                'meta' => '{"BcCcAutoZip":{"pref":"","address":""},"BcCcCheckbox":{"label":""},"BcCcRelated":{"custom_table_id":"1","filter_name":"","filter_value":""},"BcCcWysiwyg":{"width":"","height":"","editor_tool_type":"simple"},"BcCustomContent":{"email_confirm":"","max_file_size":"","file_ext":""}}',
                'created' => NULL,
                'modified' => NULL,
                'line' => NULL,
            ],
            [
                'id' => 10,
                'title' => 'メインビジュアル',
                'name' => 'main_visual',
                'type' => 'BcCcFile',
                'status' => 1,
                'default_value' => '',
                'validate' => '["MAX_FILE_SIZE","FILE_EXT"]',
                'regex' => '',
                'regex_error_message' => '',
                'counter' => 0,
                'auto_convert' => '',
                'placeholder' => '',
                'size' => NULL,
                'max_length' => NULL,
                'source' => '',
                'meta' => '{"BcCcAutoZip":{"pref":"","address":""},"BcCcCheckbox":{"label":""},"BcCcRelated":{"custom_table_id":"1","filter_name":"","filter_value":""},"BcCcWysiwyg":{"width":"","height":"","editor_tool_type":"simple"},"BcCustomContent":{"email_confirm":"","max_file_size":"20","file_ext":"jpg,png,gif"}}',
                'created' => NULL,
                'modified' => NULL,
                'line' => NULL,
            ],
            [
                'id' => 11,
                'title' => 'Wysiwyシンプル',
                'name' => 'wysiwyg_simple',
                'type' => 'BcCcWysiwyg',
                'status' => 1,
                'default_value' => '',
                'validate' => '',
                'regex' => '',
                'regex_error_message' => '',
                'counter' => 0,
                'auto_convert' => '',
                'placeholder' => '',
                'size' => NULL,
                'max_length' => NULL,
                'source' => '',
                'meta' => '{"BcCcAutoZip":{"pref":"","address":""},"BcCcCheckbox":{"label":""},"BcCcRelated":{"custom_table_id":"1","filter_name":"","filter_value":""},"BcCcWysiwyg":{"width":"100%","height":"150px","editor_tool_type":"simple"},"BcCustomContent":{"email_confirm":"","max_file_size":"","file_ext":""}}',
                'created' => NULL,
                'modified' => NULL,
                'line' => NULL,
            ],
            [
                'id' => 14,
                'title' => '会社紹介資料',
                'name' => 'company_introduction',
                'type' => 'BcCcText',
                'status' => 1,
                'default_value' => NULL,
                'validate' => NULL,
                'regex' => NULL,
                'regex_error_message' => NULL,
                'counter' => NULL,
                'auto_convert' => '',
                'placeholder' => NULL,
                'size' => 60,
                'max_length' => NULL,
                'source' => NULL,
                'meta' => NULL,
                'created' => NULL,
                'modified' => NULL,
                'line' => NULL,
            ],
            [
                'id' => 15,
                'title' => 'テキスト60',
                'name' => 'text_60',
                'type' => 'BcCcText',
                'status' => 1,
                'default_value' => '',
                'validate' => '',
                'regex' => '',
                'regex_error_message' => '',
                'counter' => 0,
                'auto_convert' => '',
                'placeholder' => '',
                'size' => 60,
                'max_length' => NULL,
                'source' => '',
                'meta' => '{"BcCcAutoZip":{"pref":"","address":""},"BcCcCheckbox":{"label":""},"BcCcRelated":{"custom_table_id":"1","filter_name":"","filter_value":""},"BcCcWysiwyg":{"width":"","height":"","editor_tool_type":"simple"},"BcCustomContent":{"email_confirm":"","max_file_size":"","file_ext":""}}',
                'created' => NULL,
                'modified' => NULL,
                'line' => NULL,
            ],
            [
                'id' => 16,
                'title' => '雇用形態',
                'name' => 'employment_status',
                'type' => 'BcCcRadio',
                'status' => 1,
                'default_value' => '正社員',
                'validate' => NULL,
                'regex' => NULL,
                'regex_error_message' => NULL,
                'counter' => NULL,
                'auto_convert' => '',
                'placeholder' => NULL,
                'size' => NULL,
                'max_length' => NULL,
                'source' => '正社員
派遣
アルバイト',
                'meta' => NULL,
                'created' => NULL,
                'modified' => NULL,
                'line' => NULL,
            ],
            [
                'id' => 17,
                'title' => 'テキストエリア（大）',
                'name' => 'textarea_large',
                'type' => 'BcCcTextarea',
                'status' => 1,
                'default_value' => '',
                'validate' => '',
                'regex' => '',
                'regex_error_message' => '',
                'counter' => 0,
                'auto_convert' => '',
                'placeholder' => '',
                'size' => NULL,
                'max_length' => NULL,
                'source' => '',
                'meta' => '{"BcCcAutoZip":{"pref":"","address":""},"BcCcCheckbox":{"label":""},"BcCcRelated":{"custom_table_id":"1","filter_name":"","filter_value":""},"BcCcWysiwyg":{"width":"","height":"","editor_tool_type":"simple"},"BcCustomContent":{"email_confirm":"","max_file_size":"","file_ext":""}}',
                'created' => NULL,
                'modified' => NULL,
                'line' => 12,
            ],
            [
                'id' => 18,
                'title' => 'テキストエリア（小）',
                'name' => 'textarea_small',
                'type' => 'BcCcTextarea',
                'status' => 1,
                'default_value' => '',
                'validate' => '',
                'regex' => '',
                'regex_error_message' => '',
                'counter' => 0,
                'auto_convert' => '',
                'placeholder' => '',
                'size' => NULL,
                'max_length' => NULL,
                'source' => '',
                'meta' => '{"BcCcAutoZip":{"pref":"","address":""},"BcCcCheckbox":{"label":""},"BcCcRelated":{"custom_table_id":"1","filter_name":"","filter_value":""},"BcCcWysiwyg":{"width":"","height":"","editor_tool_type":"simple"},"BcCustomContent":{"email_confirm":"","max_file_size":"","file_ext":""}}',
                'created' => NULL,
                'modified' => NULL,
                'line' => 2,
            ],
            [
                'id' => 19,
                'title' => 'テキストノーマル',
                'name' => 'text_normal',
                'type' => 'BcCcText',
                'status' => 1,
                'default_value' => '',
                'validate' => '',
                'regex' => '',
                'regex_error_message' => '',
                'counter' => 0,
                'auto_convert' => '',
                'placeholder' => '',
                'size' => NULL,
                'max_length' => NULL,
                'source' => '',
                'meta' => '{"BcCcAutoZip":{"pref":"","address":""},"BcCcCheckbox":{"label":""},"BcCcRelated":{"custom_table_id":"1","filter_name":"","filter_value":""},"BcCcWysiwyg":{"width":"","height":"","editor_tool_type":"simple"},"BcCustomContent":{"email_confirm":"","max_file_size":"","file_ext":""}}',
                'created' => NULL,
                'modified' => NULL,
                'line' => NULL,
            ],
            [
                'id' => 25,
                'title' => 'グループ',
                'name' => 'group',
                'type' => 'group',
                'status' => 1,
                'default_value' => '',
                'validate' => '',
                'regex' => '',
                'regex_error_message' => '',
                'counter' => 0,
                'auto_convert' => '',
                'placeholder' => '',
                'size' => NULL,
                'max_length' => NULL,
                'source' => '',
                'meta' => '{"BcCcAutoZip":{"pref":"","address":""},"BcCcCheckbox":{"label":""},"BcCcRelated":{"custom_table_id":"1","filter_name":"","filter_value":""},"BcCcWysiwyg":{"width":"","height":"","editor_tool_type":"simple"},"BcCustomContent":{"email_confirm":"","max_file_size":"","file_ext":""}}',
                'created' => NULL,
                'modified' => NULL,
                'line' => NULL,
            ],
            [
                'id' => 33,
                'title' => 'テキストエリア（中）',
                'name' => 'textarea_midium',
                'type' => 'BcCcTextarea',
                'status' => 1,
                'default_value' => '',
                'validate' => '',
                'regex' => '',
                'regex_error_message' => '',
                'counter' => 0,
                'auto_convert' => '',
                'placeholder' => '',
                'size' => NULL,
                'max_length' => NULL,
                'source' => '',
                'meta' => '{"BcCcAutoZip":{"pref":"","address":""},"BcCcCheckbox":{"label":""},"BcCcRelated":{"custom_table_id":"1","filter_name":"","filter_value":""},"BcCcWysiwyg":{"width":"","height":"","editor_tool_type":"simple"},"BcCustomContent":{"email_confirm":"","max_file_size":"","file_ext":""}}',
                'created' => NULL,
                'modified' => NULL,
                'line' => 6,
            ],
            [
                'id' => 34,
                'title' => '基本給支給タイプ',
                'name' => 'salary_type',
                'type' => 'BcCcRadio',
                'status' => 1,
                'default_value' => '月給',
                'validate' => NULL,
                'regex' => NULL,
                'regex_error_message' => NULL,
                'counter' => NULL,
                'auto_convert' => '',
                'placeholder' => NULL,
                'size' => NULL,
                'max_length' => NULL,
                'source' => '月給
日給
時給

',
                'meta' => NULL,
                'created' => NULL,
                'modified' => NULL,
                'line' => NULL,
            ],
            [
                'id' => 39,
                'title' => 'テキスト10',
                'name' => 'text_10',
                'type' => 'BcCcText',
                'status' => 1,
                'default_value' => '',
                'validate' => '',
                'regex' => '',
                'regex_error_message' => '',
                'counter' => 0,
                'auto_convert' => '',
                'placeholder' => '',
                'size' => 10,
                'max_length' => NULL,
                'source' => '',
                'meta' => '{"BcCcAutoZip":{"pref":"","address":""},"BcCcCheckbox":{"label":""},"BcCcRelated":{"custom_table_id":"1","filter_name":"","filter_value":""},"BcCcWysiwyg":{"width":"","height":"","editor_tool_type":"simple"},"BcCustomContent":{"email_confirm":"","max_file_size":"","file_ext":""}}',
                'created' => NULL,
                'modified' => NULL,
                'line' => NULL,
            ],
            [
                'id' => 40,
                'title' => '都道府県',
                'name' => 'pref',
                'type' => 'BcCcPref',
                'status' => 1,
                'default_value' => '',
                'validate' => '',
                'regex' => '',
                'regex_error_message' => '',
                'counter' => 0,
                'auto_convert' => '',
                'placeholder' => '',
                'size' => NULL,
                'max_length' => NULL,
                'source' => '',
                'meta' => '{"BcCcAutoZip":{"pref":"","address":""},"BcCcCheckbox":{"label":""},"BcCcRelated":{"custom_table_id":"1","filter_name":"","filter_value":""},"BcCcWysiwyg":{"width":"","height":"","editor_tool_type":"simple"},"BcCustomContent":{"email_confirm":""}}',
                'created' => NULL,
                'modified' => NULL,
                'line' => NULL,
            ],
        ];

        $table = $this->table('custom_fields');
        $table->insert($data)->save();
    }
}
